Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.pagination
Interface SortableFilterablePagedResult<T>

All Superinterfaces
  FilterablePagedResult<T>, PagedResult<T>, Serializable, SortablePagedResult<T>

All Known Subinterfaces:
  ICMPagedResult<T>

    public interface SortableFilterablePagedResult<T>

extends SortablePagedResult<T>, FilterablePagedResult<T>

A PagedResult which can be both sorted and filtered.

Field Summary

Fields inherited from interface com.bea.p13n.pagination.PagedResult
`COUNT_UNKNOWN`

Fields inherited from interface com.bea.p13n.pagination.PagedResult
`COUNT_UNKNOWN`

Method Summary

Methods inherited from interface com.bea.p13n.pagination.SortablePagedResult
`getSortableProperties, getSortLocale, getSortOrder, getSortProperty, reSort`

Methods inherited from interface com.bea.p13n.pagination.PagedResult
`close, getCurrentPageNumber, getPage, getPageCount, getPageSize, getTotalItemCount, hasNextPage, hasPage, hasPreviousPage, isCompleteResults, isGetPageSupported, nextPage, previousPage, resize`

Methods inherited from interface com.bea.p13n.pagination.FilterablePagedResult
`getFilterableProperties, getFilterLocale, getFilterMethod, getFilterProperty, getFilterString, getSupportedFilterMethods, reFilter`

Methods inherited from interface com.bea.p13n.pagination.PagedResult
`close, getCurrentPageNumber, getPage, getPageCount, getPageSize, getTotalItemCount, hasNextPage, hasPage, hasPreviousPage, isCompleteResults, isGetPageSupported, nextPage, previousPage, resize`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.